# $Revision: 1.16 $, $Date: 2011/10/09 19:03:03 $
%include	/usr/lib/rpm/macros.perl
Summary:	Essential command-line utilities for MySQL
Name:		maatkit
Version:	7540
Release:	1
License:	GPL v2
Group:		Applications/Databases
Source0:	http://maatkit.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	55457f98500b096a6bf549356d3445fe
Source1:	%{name}.conf
URL:		http://www.maatkit.org/
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-DBD-mysql >= 1.0
Requires:	perl-DBI >= 1.13
Requires:	perl-Term-ReadKey >= 2.10
Obsoletes:	mysqldumpgrants
Obsoletes:	mysqltoolkit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Maatkit makes MySQL easier and safer to manage. It provides simple,
predictable ways to do things you cannot otherwise do. It would be
nice if these features were included with MySQL, but they are not.

You can use Maatkit to prove replication is working correctly, fix
corrupted data, automate repetitive tasks, speed up your servers, and
much, much more.

This toolkit contains essential command-line utilities for MySQL, such
as a table checksum tool and query profiler. It provides missing
features such as checking slaves for data consistency, with emphasis
on quality and scriptability.

Each utility is completely stand-alone, without dependencies other
than core Perl and the DBI drivers needed to connect to MySQL.

%description -l pl.UTF-8
MySQL Toolkit to zbiór ważnych narzędzi uruchamianych z linii poleceń
dla MySQL-a. Każde z nich jest w pełni samodzielne, bez zależności
większych niż podstawowa instalacja Perla i terowniki DBI potrzebne do
połączenia z bazą MySQL.

%prep
%setup -q

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/%{name}/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/%{name}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(755,root,root) %{_bindir}/mk-*
%{_mandir}/man1/maatkit.1p*
%{_mandir}/man1/mk-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: maatkit.spec,v $
Revision 1.16  2011/10/09 19:03:03  glen
- up to 7540, last release of maatkit, it's part of Percona Toolkit now

Revision 1.15  2011/05/11 11:12:12  glen
- up to 7486

Revision 1.14  2011/03/13 21:48:29  glen
- up to 7332

Revision 1.13  2011/02/10 16:29:23  glen
- up to 7284

Revision 1.12  2011/01/07 13:04:15  glen
- up to 7207

Revision 1.11  2010/12/20 16:35:44  glen
- add default /etc/maatkit/maatkit.conf

Revision 1.10  2010/12/20 12:09:18  glen
- package /etc/maatkit dir

Revision 1.9  2010/12/20 09:56:31  glen
- release 2

Revision 1.8  2010/12/20 09:56:02  glen
- up to 7119

Revision 1.7  2009/10/14 10:56:34  glen
- obsoletes mysqldumpgrants with mk-show-grants; rel 2

Revision 1.6  2009/10/14 10:51:38  glen
- up to 4790

Revision 1.5  2008/11/27 01:09:41  gotar
- upgraded to 2442, removed INSTALL from %doc
- O: mysqltoolkit, pasted description from bundled spec and mysqltoolkit.spec

Revision 1.4  2008/09/30 09:35:15  glen
- release 1

Revision 1.3  2008/08/14 14:23:38  glen
- update to 2152, project moved to google code

Revision 1.2  2008-03-25 13:03:50  glen
- pld package names

Revision 1.1  2008-03-25 12:45:59  glen
- new, based on bundled spec
